> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1data files import



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/data-files/{dataFile}/import
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/data-files/{dataFile}/import:
    post:
      tags:
        - DataFiles
      operationId: dataFiles.startImport
      parameters:
        - name: dataFile
          in: path
          required: true
          description: The data file ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fixed_country_id:
                  type: number
                fixed_network_brand:
                  type: string
                columns:
                  type: object
                  properties:
                    number:
                      type: number
                      minimum: 0
                    country:
                      type: number
                      minimum: 0
                    email:
                      type: number
                      minimum: 0
                    name:
                      type: number
                      minimum: 0
                    custom1_str:
                      type: number
                      minimum: 0
                    custom2_str:
                      type: number
                      minimum: 0
                    custom3_str:
                      type: number
                      minimum: 0
                    custom4_str:
                      type: number
                      minimum: 0
                    custom5_str:
                      type: number
                      minimum: 0
                    custom1_int:
                      type: number
                      minimum: 0
                    custom2_int:
                      type: number
                      minimum: 0
                    custom3_int:
                      type: number
                      minimum: 0
                    custom4_int:
                      type: number
                      minimum: 0
                    custom5_int:
                      type: number
                      minimum: 0
                    custom1_dec:
                      type: number
                      minimum: 0
                    custom2_dec:
                      type: number
                      minimum: 0
                    custom1_datetime:
                      type: number
                      minimum: 0
                    custom2_datetime:
                      type: number
                      minimum: 0
                    custom3_datetime:
                      type: number
                      minimum: 0
                    custom4_datetime:
                      type: number
                      minimum: 0
                    custom5_datetime:
                      type: number
                      minimum: 0
                    foreign_id:
                      type: string
                    timezone:
                      type: number
                      minimum: 0
                tags:
                  type: array
                  items:
                    type: string
              required:
                - columns
      responses:
        '200':
          description: '`DataFileResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/DataFileResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    DataFileResource:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        size:
          type: integer
        status:
          type: string
        created_at:
          type: string
        created_ago:
          type: string
        columns:
          type: string
        total_rows:
          type: string
        processed_rows:
          type: string
        can_continue:
          type: string
      required:
        - id
        - name
        - size
        - status
        - created_at
        - created_ago
        - columns
        - total_rows
        - processed_rows
        - can_continue
      title: DataFileResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````